<script>
  let Buttonclicked = false;
</script>

<div>
 
  <button class="CSSButton" on:click={() => (Buttonclicked = true)}>
    click here
  </button>
  {#if Buttonclicked == false}
  <p id="demo">You have to click the button!</p>
  {:else}
  <p id="demo">You have clicked the button!</p>
  {/if}
  <!--  -->
</div>
